## ncbi-acc-download 0.2.7

=== Makefile ===
unit:
	py.test -v

coverage:
	py.test --cov=ncbi_acc_download --cov-report term-missing --cov-report html

## ncbi-acc-download 0.2.6

=== debian/changelog ===
ncbi-acc-download (0.2.6-2) unstable; urgency=medium

  * Team upload.
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 11 Jun 2020 22:27:43 +0200

ncbi-acc-download (0.2.6-1) unstable; urgency=medium

  * Initial release (Closes: #961319)

 -- Sao I Kuan <saoikuan@gmail.com>  Wed, 10 Jun 2020 22:37:09 +0900

=== debian/control ===
Source: ncbi-acc-download
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Sao I Kuan <saoikuan@gmail.com>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-biopython,
               python3-coverage,
               python3-mock,
               python3-pytest,
               python3-pytest-cov,
               python3-pytest-mock,
               python3-requests,
               python3-requests-mock,
               python3-setuptools,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/ncbi-acc-download
Vcs-Git: https://salsa.debian.org/med-team/ncbi-acc-download.git
Homepage: https://github.com/kblin/ncbi-acc-download
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python

Package: ncbi-acc-download
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: download genome files from NCBI by accession
 This package provides a script to download sequences from GenBank/RefSeq
 by accession through the NCBI ENTREZ API.

## ncbi-acc-download 0.2.7

=== debian/changelog ===
ncbi-acc-download (0.2.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 26 Jan 2021 11:09:15 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                python3-requests,
                python3-requests-mock,
                python3-setuptools,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/ncbi-acc-download
 Vcs-Git: https://salsa.debian.org/med-team/ncbi-acc-download.git
 Homepage: https://github.com/kblin/ncbi-acc-download

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=ncbi-acc-download

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Tests: run-param-test
Depends: @,
         python3-biopython,
         python3-mock,
         python3-pytest,
         python3-pytest-cov,
         python3-pytest-mock,
         python3-requests,
         python3-requests-mock,

## ncbi-acc-download 0.2.8

=== debian/changelog ===
ncbi-acc-download (0.2.8-3) unstable; urgency=medium

  * Team upload.

  [ Benjamin Drung ]
  * Fix test
    Closes: #1073450

  [ Andreas Tille ]
  * Standards-Version: 4.7.0 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Rename test script to run-unit-test
  * Test all supported Python3 versions

 -- Andreas Tille <tille@debian.org>  Fri, 02 Aug 2024 00:02:28 +0200

ncbi-acc-download (0.2.8-2) unstable; urgency=medium

  * Team upload.
  * remove extraneous dependency on python3-mock (Closes: #1060207)

 -- Alexandre Detiste <tchet@debian.org>  Thu, 18 Jan 2024 09:03:49 +0100

ncbi-acc-download (0.2.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Remove biopython1.79.patch: applied upstream.
  * d/copyright: update copyright years per files content.
  * d/control: bump biopython dependency to version >= 1.79.

 -- Étienne Mollier <emollier@debian.org>  Mon, 25 Oct 2021 23:35:28 +0200

ncbi-acc-download (0.2.7-2) unstable; urgency=medium

  * Team upload.
  * Add biopython1.79.patch.  (Closes: #996794)
  * Bump standards version to 4.6.0

 -- Étienne Mollier <emollier@debian.org>  Fri, 22 Oct 2021 16:14:30 +0200

=== debian/control ===
--- 
+++ 
@@ -4,18 +4,17 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Sao I Kuan <saoikuan@gmail.com>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-all,
-               python3-biopython,
+               python3-biopython (>= 1.79),
                python3-coverage,
-               python3-mock,
                python3-pytest,
                python3-pytest-cov,
                python3-pytest-mock,
                python3-requests,
                python3-requests-mock,
                python3-setuptools,
-Standards-Version: 4.5.1
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/ncbi-acc-download
 Vcs-Git: https://salsa.debian.org/med-team/ncbi-acc-download.git
 Homepage: https://github.com/kblin/ncbi-acc-download

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=ncbi-acc-download

%:
	dh $@ --buildsystem=pybuild

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         python3-all,
         python3-biopython,
         python3-pytest,
         python3-pytest-cov,
         python3-pytest-mock,
         python3-requests,
         python3-requests-mock,
